using System;
using System.Windows.Forms;

namespace _5_6
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int m = 4, n = 4;
            char[,] a = new char[m, n];
            for (int i = 0; i < m; i++)
            {
                for (int j = 0; j < n; j++)
                    if (i == j)
                        a[i, j] = '0';
                    else if (i > j)
                        a[i, j] = '+';
                    else if (i < j)
                        a[i, j] = '*';
            }

            for (int i = 0; i < m; i++)
            {
                for (int j = 0; j < n; j++)
                    textBox1.AppendText(a[i, j].ToString() + "  ");
                textBox1.AppendText(System.Environment.NewLine);
            }
        }
    }
}